Difference between revisions of "EMF/EMF 2.3/Plan History"

From Eclipsepedia

< EMF‎ | EMF 2.3
Jump to: navigation, search
m
Line 37: Line 37:
 
:* 2007-01-08 [[EMF 2.3 JVM Requirements]] (wiki, linked from EMF docs page & EMF downloads page "Bleeding Edge")
 
:* 2007-01-08 [[EMF 2.3 JVM Requirements]] (wiki, linked from EMF docs page & EMF downloads page "Bleeding Edge")
  
:* 2007-01-23 [http://www.eclipse.org/org/councils/20070123PCMinutes.php Planning Council Minutes] (website; ''"Add a link to the Europa page [...] discussing the EMF 2.2/2.3 features and JVM 1.4/1.5 issues and what the consequences of whether one should use EMF 2.2 or 2.3 - [[http://wiki.eclipse.org/index.php/EMF_2.3_JVM_Requirements#Runtime_.2F_Compilation_Compatibility | here is the link]]"'')
+
:* 2007-01-23 [http://www.eclipse.org/org/councils/20070123PCMinutes.php Planning Council Minutes] (website; ''"Add a link to the Europa page [...] discussing the EMF 2.2/2.3 features and JVM 1.4/1.5 issues and what the consequences of whether one should use EMF 2.2 or 2.3 - [[EMF_2.3_JVM_Requirements#Runtime_.2F_Compilation_Compatibility|here is the link]]"'')
  
 
:* 2007-03-04 [[Europa_Minutes_2007.03.04#Europa_on_1.4_versus_5 | Europa Meeting Minutes]] (wiki)
 
:* 2007-03-04 [[Europa_Minutes_2007.03.04#Europa_on_1.4_versus_5 | Europa Meeting Minutes]] (wiki)

Revision as of 18:22, 5 October 2007

An abridged history of the EMF 2.3 Plan and the adoption of JDK 5.0:

  • 2006-06-29 Planning Council Minutes (website; "There was a discussion of which JVM to use for Europa. Because running Europa will require running with the highest level JVM of all the plug-ins, running all of Europa is almost certainly going to need JVM 1.5.")
  • 2006-11-18 What's New (linked on EMF homepage, news page, docs page, downloads page)
  • 2006-12-07 EMF 2.3 Generics (wiki, linked from EMF docs page & EMF downloads page "Bleeding Edge")
  • 2007-01-07 Bjorn states confusion how the process broke down (eclipse.org-planning-council@eclipse.org; "the EMF team clearly brought this JVM 4/5 issue forward over seven months ago so why is it suddenly a surprise and a blocking issue for Europa?")
  • 2007-01-23 Planning Council Minutes (website; "Add a link to the Europa page [...] discussing the EMF 2.2/2.3 features and JVM 1.4/1.5 issues and what the consequences of whether one should use EMF 2.2 or 2.3 - here is the link")